Package org.firebirdsql.jdbc

## Class FBResultSetNotUpdatableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.firebirdsql.jdbc.FBSQLException
        - - org.firebirdsql.jdbc.FBResultSetNotUpdatableException

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

      public class FBResultSetNotUpdatableException
      extends FBSQLException

  Exception is thrown when trying to modify the non-updatable result set.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBResultSetNotUpdatableException()` | Create default instance of this class.
    `FBResultSetNotUpdatableException​(java.lang.String message)` | Create instance of this class for the specified message.

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jdbc.FBSQLException

      `defaultSQLStateIfNull, getInternalException`

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### FBResultSetNotUpdatableException

          public FBResultSetNotUpdatableException()

      Create default instance of this class.

    - #### FBResultSetNotUpdatableException

          public FBResultSetNotUpdatableException​(java.lang.String message)

      Create instance of this class for the specified message.
      Parameters:
        `message` - message to display.